Skip to main content
GET
List payments

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

scheduled_date
string<date>
status
enum<string>

Status of the autopay:

  • PENDING: Autopay is scheduled and waiting to be executed
  • EXECUTED: Autopay was successfully executed
  • SKIPPED: Autopay was skipped (e.g., no balance due)
  • FAILED: Autopay failed to execute
Available options:
EXECUTED,
FAILED,
PENDING,
SKIPPED
to_executed_amount
integer
rendered_description
string[]
from_creation_time
string<date-time>
statement_id
string<uuid>[]
executed_amount
integer[]
from_last_updated_time
string<date-time>
to_last_updated_time
string<date-time>
rendered_description_like
string

Case insensitive wildcard search for rendered_description, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.

tenant
string[]

The id of the tenant containing the resource.

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

sort_by
enum<string>[]
Available options:
creation_time:asc,
creation_time:desc,
last_updated_time:asc,
last_updated_time:desc,
scheduled_date:asc,
scheduled_date:desc
lending_account_id
string<uuid>[]
to_scheduled_date
string<date>
limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

to_creation_time
string<date-time>
from_executed_amount
integer
billing_period_id
string<uuid>[]
from_scheduled_date
string<date>
id
string<uuid>[]

Response

List of payments

payments
object[]
required

Array of payments

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"